GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
gdcm::SimpleSubjectWatcher Class Reference

SimpleSubjectWatcher This is a typical Subject Watcher class. It will observe all events. More...

`#include <gdcmSimpleSubjectWatcher.h>`

List of all members.

## Public Member Functions

| SimpleSubjectWatcher (Subject *s, const char *comment="")
virtual | ~SimpleSubjectWatcher ()

## Protected Member Functions

virtual void | EndFilter ()
virtual void | ShowAbort ()
virtual void | ShowAnonymization (Subject *caller, const Event &evt)
virtual void | ShowData (Subject *caller, const Event &evt)
virtual void | ShowDataSet (Subject *caller, const Event &evt)
virtual void | ShowIteration ()
virtual void | ShowProgress (Subject *caller, const Event &evt)
virtual void | StartFilter ()
void | TestAbortOff ()
void | TestAbortOn ()

## Detailed Description

SimpleSubjectWatcher This is a typical Subject Watcher class. It will observe all events.

## Constructor & Destructor Documentation

gdcm::SimpleSubjectWatcher::SimpleSubjectWatcher | ( | Subject * | s,
|  | const char * | comment = `""`
| ) |  |

virtual gdcm::SimpleSubjectWatcher::~SimpleSubjectWatcher | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void gdcm::SimpleSubjectWatcher::EndFilter | ( |  | ) | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowAbort | ( |  | ) | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowAnonymization | ( | Subject * | caller,
|  | const Event & | evt
| ) |  | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowData | ( | Subject * | caller,
|  | const Event & | evt
| ) |  | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowDataSet | ( | Subject * | caller,
|  | const Event & | evt
| ) |  | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowIteration | ( |  | ) | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowProgress | ( | Subject * | caller,
|  | const Event & | evt
| ) |  | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::StartFilter | ( |  | ) | `[protected, virtual]`

void gdcm::SimpleSubjectWatcher::TestAbortOff | ( |  | ) | `[protected]`

void gdcm::SimpleSubjectWatcher::TestAbortOn | ( |  | ) | `[protected]`

The documentation for this class was generated from the following file:

- gdcmSimpleSubjectWatcher.h